%define source_name	usb-modeswitch

Summary:	USB Modeswitch gets mobile broadband cards in operational mode
Name:		usb_modeswitch
Version:	2.6.1
Release:	4%{?dist}
License:	GPLv2+
URL:		http://www.draisberghof.de/usb_modeswitch/
Source0:	http://www.draisberghof.de/%{name}/%{source_name}-%{version}.tar.bz2
Source1:	http://www.draisberghof.de/usb_modeswitch/device_reference.txt
Patch0000:      device_reference-utf8.patch

BuildRequires:  make gcc libusbx-devel systemd
Requires:	usb_modeswitch-data >= 20121109
Requires:	systemd

%description
USB Modeswitch brings up your datacard into operational mode. When plugged
in they identify themselves as cdrom and present some non-Linux compatible
installation files. This tool deactivates this cdrom-device and enables
the real communication device. It supports most devices built and
sold by Huawei, T-Mobile, Vodafone, Option, ZTE, Novatel.


%prep
%setup -q -n %{source_name}-%{version}
cp -f %{SOURCE1} device_reference.txt
%patch0 -p0


%build
%make_build


%install
mkdir -p %{buildroot}%{_unitdir}
%make_install \
	SYSDIR=%{buildroot}%{_unitdir} \
	UDEVDIR=%{buildroot}%{_prefix}/lib/udev


%files
%license COPYING 
%doc README ChangeLog device_reference.txt 
%config(noreplace) %{_sysconfdir}/usb_modeswitch.conf
%{_unitdir}/usb_modeswitch@.service
%{_sbindir}/usb_modeswitch
%{_sbindir}/usb_modeswitch_dispatcher
%{_prefix}/lib/udev/usb_modeswitch
%{_mandir}/man1/usb_modeswitch.1.gz
%{_mandir}/man1/usb_modeswitch_dispatcher.1.gz


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.6.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.6.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.6.1-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 21 2022 rockerzhu <rockerzhu@tencent.com> - 2.6.1-1
- Initial build
